/**
* 
* Less file containing all styling information 
* for the admin header(s)
* 
**/
/**
*
* Defines all colors that are used in MoPats less sheets
*
**/
/**
* This file contains color definition based on the material 
* design specification for color palettes
**/
/* Grayscales (from Bootstrap) */
/**
*
* Sizes for the mopat web application
*
**/
/**
*
* Some variable values that will be repeated
* for MoPats views
* This file can be used as a central hub to change 
* many settings at once without touching the less files
*
**/
@media only screen and (min-width: 1400px) {
  .resize-text {
    font-size: 1.4rem;
  }
}
@media only screen and (min-width: 992px) and (max-width: 1399px) {
  .resize-text {
    font-size: 1rem;
  }
}
.header {
  background-color: #ffffff;
}
.header .dropdown {
  padding: 13px;
}
.header .dropdown a {
  color: #777777 !important;
}
.header .navbar-logo {
  height: 70px;
}
.navigation {
  background-image: -webkit-linear-gradient(top, #377cbf 0, #254c7e 100%) !important;
  background-image: linear-gradient(to bottom, #377cbf 0, #254c7e 100%) !important;
  background-repeat: repeat-x !important;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff428bca', endColorstr='#ff357ebd', GradientType=0) !important;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);
}
.navigation .nav-link {
  font-weight: bold;
  color: #ffffff;
}
.navbar #adminNav {
  /* Adaptive font size */
  /* Open dropdown menu in Navbar on hover but only for expanded navbar 
        @media (min-width: @b5-screen-lg-min) {
            .dropdown:hover .dropdown-menu {
                display: block;
            }
        }
        */
}
@media only screen and (min-width: 1400px) {
  .navbar #adminNav .nav-link,
  .navbar #adminNav .nav-link > * {
    font-size: 1.4rem;
  }
}
@media only screen and (min-width: 992px) and (max-width: 1399px) {
  .navbar #adminNav .nav-link,
  .navbar #adminNav .nav-link > * {
    font-size: 1rem;
  }
}
.navbar #adminNav .nav-link {
  padding-bottom: 1.75rem;
  padding-top: 1.75rem;
  text-transform: uppercase;
  font-weight: 500;
}
.navbar #adminNav .nav-link > * {
  color: #ffffff;
}
.navbar #adminNav .nav-item {
  margin-left: 15px;
  margin-right: 15px;
}
.navbar #adminNav .nav-item .nav-link {
  display: inline-block;
  position: relative;
}
.navbar #adminNav .nav-item .nav-link:after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 3px;
  bottom: 5px;
  left: 0;
  background-color: #193457;
  transform-origin: bottom left;
  transition: 0.25s ease-in-out;
}
.navbar #adminNav .nav-item .nav-link:hover:after {
  transform: scaleX(1);
  transform-origin: bottom left;
}
.navbar #adminNav .dropdown-menu {
  margin-top: 0;
}
.navbar .dropdown-item {
  color: #3e3e3b;
}
.navbar .navbar-brand {
  font-size: 2rem;
}
#mobileAdmin .offcanvas-body a,
#mobileAdmin .offcanvas-body span {
  font-size: 1.2rem;
  color: #3e3e3b;
}
#mobileAdmin .offcanvas-body a {
  text-align: left;
  padding-top: 10px;
  padding-bottom: 10px;
}
#mobileAdmin .offcanvas-body a:hover {
  background-color: #eeeeee;
  transition: 0.25s ease-in-out;
}
#mobileAdmin .offcanvas-body a.accountLink,
#mobileAdmin .offcanvas-body ab {
  font-size: 1.4rem;
  padding-top: 20px;
  padding-bottom: 20px;
  border-bottom: solid 0.05rem;
  border-color: #dddddd;
}
#mobileAdmin .offcanvas-body .smallLink {
  font-size: 0.8rem !important;
}
#mobileAdmin .offcanvas-body .borderBottom {
  border-bottom: solid 0.05rem;
  border-color: #dddddd;
}
#mobileAdmin .offcanvas-body .borderTop {
  border-top: solid 0.05rem;
  border-color: #dddddd;
}
#mobileAdmin .navbar {
  background-color: #f5f5f5;
}
#mobileAdmin .navbar-logo {
  height: 60px;
}
#mobileAdmin .navbar-brand {
  color: #254c7e;
  font-size: 2rem;
}
#mobileAdmin .bi-list {
  color: #254c7e;
  font-size: 2.5rem;
}

